VARKON Version 1.17D 2003-02-25

> ## odbc_getstring - Function

> Returns value

> Description

> Returns the next value on the current line of result from a SELECT statement. Even if the value was not originally defined as a STRING in the datasource this function always converts the value to a MBS STRING. Successive calls to odbc_getstring() will return values from successive columns of the search result beginning from left going right.

> odbc_fetch() must be called at least once before odbc_getstring(). First call to odbc_getstring() after odbc_fetch() will always return the first value within the new line, next call returns value number 2 and so on until odbc_fetch() is called again and the process is repeated.

> Syntax

> odbc_getstring(value)

> STRING | value*132;

> Principal parameters

> value | - A string variable to recieve the value.

> Optional parameters

> None. |

> Return value

> An INT describing the status of sucess. 0 = Ok, -1 = Error.

> Comments

> If negative status (-1) is returned from odbc_getstring() the operation failed and the reason to why the function was not successful can be retrieved using odbc_error().

> See also

> odbc_connect(), odbc_execdirect(), odbc_fetch(), odbc_disconnect() and odbc_error()

VARKON Homepage | Index